Bug 6048 - Fatal error when Searching from Editor User Home
Fatal error when Searching from Editor User Home
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Editors
2.3.4
PC Mac OS X 10.6
: P5 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-15 16:02 PDT by James MacGregor
Modified: 2011-01-31 12:13 PST (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS 2.3.3-3 (1.02 KB, patch)
2010-11-17 11:28 PST, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2010-10-15 16:02:54 PDT
If I search for anything from the Editor's User Home, I get the following fatal error: 

[Fri Oct 15 16:01:12 2010] [error] [client 127.0.0.1] PHP Fatal error:  Call to undefined method EditorSubmissionDAO::getUnfilteredEditorSubmissions() in /Users/jmacgreg/git/ojs/pages/editor/EditorHandler.inc.php on line 116, referer: http://git/ojs/index.php/citation/editor

(Courtesy of http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=6695&p=25829#p25829)
Comment 1 Alec Smecher 2010-11-17 11:28:43 PST
Created attachment 3335 [details]
Patch against OJS 2.3.3-3
Comment 2 Alec Smecher 2010-11-17 11:28:50 PST
Fixed.